package cn.wisenergy.model.app;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkSubmitAdopt", description="自动提交审核类")
public class WorkSubmitAdopt implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "submitTime",value = "工时提交时限")
    private Integer submitTime;

    @ApiModelProperty(name = "autoAdopt",value = "工时自动审批间隔")
    private Integer autoAdopt;

    @ApiModelProperty(name = "autoExamine",value = "自动审批")
    private Integer autoExamine;

    @ApiModelProperty(name = "orderChange", value = "工单修正时限")
    private Integer orderChange;


}
